textures/Halo_wilky/tree1 
{ 
   q3map_forceMeta 
   q3map_nonplanar 
   q3map_splotchfix 
   surfaceparm nosteps
   surfaceparm alphashadow
   cull disable 
   { 
      map textures/Halo_wilky/tree1.tga 
      rgbGen identity 
      depthWrite 
      alphaFunc GE128 
   } 
   { 
      map $lightmap 
      blendfunc filter 
      rgbGen identity 
      tcGen lightmap 
      depthFunc equal 
   } 
}

models/atst_body
{
    {
        map models/atst_body.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }
    {
        map textures/detail/gleam.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

models/S2_AM_SR
{
    {
        map models/S2_AM_SR.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }
    {
        map textures/detail/gleam.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

models/needler
{
    {
        map models/needler.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }
    {
        map textures/detail/gleam.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

models/plasma_pistol
{
    {
        map models/plasma_pistol.tga
        blendFunc GL_ONE GL_ZERO
        rgbGen lightingDiffuse
    }
    {
        map textures/detail/gleam2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
}

textures/halo_wilky/needles
{
    {
	map textures/halo_wilky/needles.tga
	blendfunc GL_ONE GL_ONE
    }
    {
	map textures/halo_wilky/needles_b.tga
	blendfunc GL_ONE GL_ONE
    }
}

textures/halo_wilky/canyon_pool
	{
		//	*************************************************
		//	* CALM GREEN WATER POOL may 5 1999
		//    * same as calm water but emits light		*
		//	* IF YOU CHANGE THIS PLEASE COMMENT THE CHANGE	*
		//	*************************************************

	
		qer_editorimage textures/padeffekt/pool3d_5b.tga
		q3map_globaltexture
		qer_trans .75

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		//q3map_surfacelight 50

		cull disable
		//tesssize 64
		
	
	
		{ 
			map textures/padeffekt/pool3d_5c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/padeffekt/pool3d_6c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/padeffekt/pool3d_3c2.tga
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map textures/padeffekt/pool3d_4b2.tga
			blendfunc add
			tcmod scale .125 .125
			tcmod scroll .001 .025	
			rgbgen identity
		}


	}

textures/Halo_wilky/rock16l
{
  qer_editorimage textures/Halo_wilky/rock16l.tga
  q3map_normalimage textures/halo_wilky/rock16l_normalmap.tga
  q3map_lightmapsamplesize 32x32
  {
     map $lightmap
  }
  {
     map textures/Halo_wilky/rock16l.tga
     blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/halo_wilky/fog_grey
{
    qer_editorimage textures/borg/fog.tga
    qer_nocarve
    surfaceparm fog
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    cull back
    fogparms ( 0.52 0.60 0.65 ) 256
}

textures/Halo_wilky/wall5
{
  qer_editorimage textures/Halo_wilky/wall5_normalmap.tga
  q3map_normalimage textures/Halo_wilky/wall5_normalmap.tga
  q3map_lightmapsamplesize 2x2
  {
     map $lightmap
  }
  {
     map textures/Halo_wilky/wall5.tga
     blendFunc GL_DST_COLOR GL_ZERO
  }
}

textures/halo_wilky/IWCFA
{
    surfaceparm trans
    polygonOffset
    {
        map textures/halo_wilky/IWCFA.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
}

textures/halo_prisoner/prisoner_wall1
{
    {
        map textures/halo_prisoner/prisoner_wall1.tga
    }
    {
        map textures/detail/gleam3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
    {
	map textures/halo_prisoner/prisoner_wall1_alpha.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen identity
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	depthFunc equal
    }
}

textures/halo_wizard/wizfloor
{
    {
        map textures/halo_wizard/wizfloor.tga
    }
    {
        map textures/detail/gleam3.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcGen environment
    }
    {
	map textures/halo_wizard/wizfloor_alpha.tga
	blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	rgbGen identity
    }
    {
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen identity
	depthFunc equal
    }
}

textures/Halo_wilky/ceiling_grate
{ 
   q3map_forceMeta 
   q3map_nonplanar 
   q3map_splotchfix 
   surfaceparm nonsolid
   surfaceparm alphashadow
   cull disable 
   { 
      map textures/Halo_wilky/ceiling_grate.tga 
      rgbGen identity 
      depthWrite 
      alphaFunc GE128 
   } 
   { 
      map $lightmap 
      blendfunc filter 
      rgbGen identity 
      tcGen lightmap 
      depthFunc equal 
   } 
}